Debian Bug report logs - #341797
hang on sparc when building missingh

version graph

Package: ghc6; Maintainer for ghc6 is Kari Pahula <kaol@debian.org>; Source for ghc6 is src:ghc.

Reported by: Blars Blarson <blarson@blars.org>

Date: Sat, 3 Dec 2005 05:48:04 UTC

Severity: important

Fixed in version 6.4.1-2

Done: Ian Lynagh <igloo@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#341797; Package missingh. Full text and rfc822 format available.

Acknowledgement sent to Blars Blarson <blarson@blars.org>:
New Bug report received and forwarded. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Blars Blarson <blarson@blars.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: missingh: ftbfs [sparc] build hangs
Date: Fri, 2 Dec 2005 21:39:28 -0800
Package: missingh
Version: 0.12.1
Severity: serious
Justification: no longer builds from source


The missingh build timed out on a sparc buildd.  It also hung without
using CPU time or adding to the build log for over two days on my
sparc pbuilder.



Compiling MissingH.Wash.Utility.RFC2279 ( ./MissingH/Wash/Utility/RFC2279.hs, dist/build/./MissingH/Wash/Utility/RFC2279.o )
Preprocessing library MissingH-0.12.0...
Preprocessing executables for MissingH-0.12.0...
Building MissingH-0.12.0...
setup: waitForProcess: interrupted (Interrupted system call)

./setup build files: 256 at /usr/bin/dh_haskell_buildinst line 167, <COMPAT_IN> line 1.
make: *** [install] Error 9



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#341797; Package missingh. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 341797@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Blars Blarson <blarson@blars.org>, 341797@bugs.debian.org
Cc: control@bugs.debian.org, ghc6@packages.debian.org
Subject: Re: Bug#341797: missingh: ftbfs [sparc] build hangs
Date: Sat, 3 Dec 2005 01:10:10 -0600
reassign 341797 ghc6
retitle 341797 hang on sparc when building missingh
thanks

On Fri, Dec 02, 2005 at 09:39:28PM -0800, Blars Blarson wrote:
> Package: missingh
> Version: 0.12.1
> Severity: serious
> Justification: no longer builds from source
> 
> 
> The missingh build timed out on a sparc buildd.  It also hung without
> using CPU time or adding to the build log for over two days on my
> sparc pbuilder.

This smells like a ghc6 bug to me.  Igloo, what do you think?




Bug reassigned from package `missingh' to `ghc6'. Request was from John Goerzen <jgoerzen@complete.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from John Goerzen <jgoerzen@complete.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#341797; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Ian Lynagh <igloo@earth.li>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #19 received at 341797@bugs.debian.org (full text, mbox):

From: Ian Lynagh <igloo@earth.li>
To: Dave Love <fx@gnu.org>, 342227@bugs.debian.org, 341797@bugs.debian.org, John Goerzen <jgoerzen@complete.org>, 342757@bugs.debian.org, Blars Blarson <blarson@blars.org>, Isaac Jones <ijones@syntaxpolice.org>
Subject: ghc6 on sparc
Date: Sat, 10 Dec 2005 21:36:41 +0000
Hi all,

These look like symptoms of bitrot in ghc6's registerised sparc support.
I'll make it unregisterised for the next ghc6 upload, but this won't
happen until I can install ghc6's build-deps again (#338327 / #340076).


Thanks
Ian




Severity set to `important'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#341797; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to jurij@wooyd.org:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #26 received at 341797@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 341797@bugs.debian.org
Subject: Re: ghc6 on sparc
Date: Fri, 17 Feb 2006 23:49:32 -0800 (PST)
Hi Ian,

There has been no improvement on ghc6 situation on sparc since December. 
At the moment about 20 packages FTBFS there due to the fact that ghc6 is 
unusable. It would be great if you could do something about it, or give 
some directions on what needs to be done to get ghc6 fixed. Please let me 
know if you need anything tested.

Best regards

Jurij Smakov                                        jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                   KeyID: C99E03CC



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#341797; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Ian Lynagh <igloo@earth.li>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #31 received at 341797@bugs.debian.org (full text, mbox):

From: Ian Lynagh <igloo@earth.li>
To: jurij@wooyd.org, 341797@bugs.debian.org
Subject: Re: Bug#341797: ghc6 on sparc
Date: Mon, 20 Feb 2006 16:46:55 +0000
Hi Jurij,

On Fri, Feb 17, 2006 at 11:49:32PM -0800, Jurij Smakov wrote:
> 
> There has been no improvement on ghc6 situation on sparc since December. 
> At the moment about 20 packages FTBFS there due to the fact that ghc6 is 
> unusable. It would be great if you could do something about it, or give 
> some directions on what needs to be done to get ghc6 fixed. Please let me 
> know if you need anything tested.

ghc6 has been unbuildable since November due to first xmltex being
broken[1], and then problems with make[2]. It looks like the make
problem won't be fixed for the next release, so will have to be worked
around in GHC; hopefully we'll have a workaround soon and I can try to
get ghc6 on sparc fixed.


Thanks
Ian

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=338327
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=346248




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#341797; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to jurij@wooyd.org:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #36 received at 341797@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Ian Lynagh <igloo@earth.li>
Cc: 341797@bugs.debian.org
Subject: Re: Bug#341797: ghc6 on sparc
Date: Mon, 20 Feb 2006 12:15:55 -0800 (PST)
On Mon, 20 Feb 2006, Ian Lynagh wrote:

> ghc6 has been unbuildable since November due to first xmltex being
> broken[1], and then problems with make[2]. It looks like the make
> problem won't be fixed for the next release, so will have to be worked
> around in GHC; hopefully we'll have a workaround soon and I can try to
> get ghc6 on sparc fixed.

Hi,

At the moment I'm not even hitting these bugs you mentioned. First, the 
xlibs-dev has been removed, so ghc6 build-deps cannot be satisfied (cannot 
use pbuilder). I've just installed all the libs which replaced xlibs-dev
and ran the build. It terminates with:

/usr/bin/make all
/usr/bin/ghc6 -H16m -O -I. -Iinclude -Rghc-timing  -ignore-package Cabal 
-I../../../libraries -fglasgow-exts -no-recomp    -c Compat/Directory.hs 
-o Compat/Directory.o  -ohi Compat/Directory.hi
make[5]: *** [Compat/Directory.o] Bus error
make[4]: *** [boot] Error 2
make[3]: *** [boot] Error 1
make[2]: *** [boot] Error 1
make[2]: Leaving directory `/home/jurij/ghc6-6.4.1/ghc'
make[1]: *** [build] Error 1
make[1]: Leaving directory `/home/jurij/ghc6-6.4.1'
make: *** [build-stamp] Error 2

So, it looks like there are more severe problems on sparc than the ones 
you've mentioned. Since ghc6 build-depends on ghc6, is there some way to 
bootstrap an unbroken version? You can find the complete build log at
http://www.wooyd.org/debian/ghc6/.

Best regards,

Jurij Smakov                                        jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                   KeyID: C99E03CC



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#341797; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Ian Lynagh <igloo@earth.li>:
Extra info received and forwarded to list. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #41 received at 341797@bugs.debian.org (full text, mbox):

From: Ian Lynagh <igloo@earth.li>
To: jurij@wooyd.org, 341797@bugs.debian.org
Subject: Re: Bug#341797: ghc6 on sparc
Date: Mon, 20 Feb 2006 20:52:21 +0000
On Mon, Feb 20, 2006 at 12:15:55PM -0800, Jurij Smakov wrote:
> 
> So, it looks like there are more severe problems on sparc than the ones 
> you've mentioned.

I know ghc6 is broken on sparc, but when it is also unbuildable
/everywhere/ I can't fix it.

If it's important to you to do a binary-only upload just for sparc then
you'll have to install a working ghc (the last 6.4 probably works) and
make 3.80, then search for DEB_HOST_ARCH in debian/rules and remove
sparc from the list of arches (this is untested, but it's the most
likely solution to the problem).


Thanks
Ian




Reply sent to Ian Lynagh <igloo@earth.li>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Blars Blarson <blarson@blars.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 341797-done@bugs.debian.org (full text, mbox):

From: Ian Lynagh <igloo@earth.li>
To: 341797-done@bugs.debian.org
Subject: missingh built with ghc6 6.4.1-2
Date: Thu, 23 Mar 2006 17:37:28 +0000
Version: 6.4.1-2

missingh was successfully built with ghc6 6.4.1-2.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 07:50:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:23:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.